<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ota__callback" kind="group">
    <compoundname>group_ota_callback</compoundname>
    <title>OTA Agent Callback</title>
      <sectiondef kind="typedef">
      <memberdef id="group__group__ota__callback_1gada4cd31993f1831e886a4beac9039220" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ota__typedefs_1ga83280df2ca46db528cc12901d949fd63">cy_ota_callback_results_t</ref>(*</type>
        <definition>typedef cy_ota_callback_results_t(* cy_ota_callback_t)(cy_ota_cb_struct_t *cb_data)</definition>
        <argsstring>)(cy_ota_cb_struct_t *cb_data)</argsstring>
        <name>cy_ota_callback_t</name>
        <briefdescription>
<para>OTA Agent callback to the Application. </para>        </briefdescription>
        <detaileddescription>
<para>The Application can use the callback to override the default OTA functions.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">[out]</parametername>
</parameternamelist>
<parameterdescription>
<para>cb_data current information that Application callback can use/modify</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para /></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" bodystart="756" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/include/cy_ota_api.h" line="756" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>An application can get callbacks from the OTA Agent. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>